import system, time, wifi, os
import woezel, rgb, uinterface
from default_icons import icon_no_wifi, animation_connecting_wifi, animation_loading

if not wifi.status():
    data, size, frames = animation_connecting_wifi
    rgb.clear()
    rgb.framerate(3)
    rgb.gif(data, (12, 0), size, frames)
    wifi.connect()
    if wifi.wait():
        rgb.clear()
        rgb.framerate(20)
    else:
        print('No wifi')
        rgb.clear()
        rgb.framerate(20)
        data, frames = icon_no_wifi
        rgb.image(data, (12, 0), (8,8))
        time.sleep(3)
        rgb.clear()

if not wifi.status():
    print("Error connecting to wifi")
    system.reboot()

try:
    apps = os.listdir('apps')
except OSError:
    apps = []

rgb.clear()
rgb.scrolltext('updating:', (0,255,255), (0,0))

for app in apps:
    rgb.clear()
    rgb.scrolltext(app, (0,255,255), (0,0))
    woezel.install(app)

import deepsleep
deepsleep.reboot()